Loading...
Searching...
No Matches
casacore::AipsIOReaderWriter Class Reference
images package (libcasa_images) » Regions_module

More...

`#include <AipsIOReaderWriter.h>`

## Public Member Functions

| AipsIOReaderWriter ()
| Constructor.
| ~AipsIOReaderWriter ()
| Destructor.
bool | read (Record &region)
| RSFileReader methods //.
bool | read (ImageRegion *&region)
void | setOptions (const Record *options)
| RSFileWriter methods //.
bool | write (const Record &region) const
| Implements RSFileWriter::write.
bool | write (const ImageRegion &region) const
Public Member Functions inherited from casacore::RFReader
| RFReader ()
| Constructor.
virtual | ~RFReader ()
| Destructor.
virtual Record * | options ()
| Provides access to the plotting options that were found in the region file.
virtual bool | readFile (const String &file, Record &region)
| Calls setFile() then read().
Public Member Functions inherited from casacore::RFReaderWriter
| RFReaderWriter ()
| Constructor.
virtual | ~RFReaderWriter ()
| Destructor.
virtual void | setFile (const String &filename)
| Sets the file to be read/written to the given.
virtual void | setName (const String &regionName)
| Sets the region name associated withe the file to be read or written.
virtual const RFError & | lastError () const
| Returns the last error set during read/write.
Public Member Functions inherited from casacore::RFWriter
| RFWriter ()
| Constructor.
virtual | ~RFWriter ()
| Destructor.
virtual bool | writeFile (const String &filename, const Record &regions)
| Calls setFile then write.

## Additional Inherited Members

Public Types inherited from casacore::RFReaderWriter
enum | SupportedType { AIPS_BOX , DS9 , CASA_XML , AIPS_IO }
| An enum of all known subclasses/formats supported. More...
Static Public Member Functions inherited from casacore::RFReaderWriter
static SupportedType | supportedTypes (String type)
| Converts between enum and String for SupportedType.
static String | supportedTypes (SupportedType type)
static String | extensionForType (SupportedType type)
| Returns the file extension for the given SupportedType.
static Vector< SupportedType > | supportedTypes ()
| Returns all known SupportedTypes.
static Vector< String > | supportedTypeStrings ()
static RFReader * | readerForType (SupportedType type)
| Returns an appropriate child RFReader class for the given SupportedType, or NULL for an error (shouldn't happen).
static RFWriter * | writerForType (SupportedType type)
| Returns an new appropriate child RfWriter class for the given SupportedType, or NULL for an error (shouldn't happen).
static Record * | optionsWidgetForType (SupportedType type)
| Returns an new appropriate options widget for the given SupportedType, or NULL for an error (shouldn't happen).
Protected Member Functions inherited from casacore::RFReaderWriter
virtual void | setError (const String &error, bool fatal=false) const
| Convenience method for setting last error during read/write.
Protected Attributes inherited from casacore::RFReaderWriter
String * | pFilename_p
| Filename to be read/written.
String * | pRegionName_p
| Name to be assigned to the region.
RFError | lastError_p
| Last error seen during read/write.
Record | options_p
| Record containg plotting options for the regions.

## Detailed Description

Implementation of CASA region AipsIO file reader and writer

### Intended use:

Public interface

### Prerequisite

- RFReaderWriter

### Synopsis

### Example

### Motivation

To provide a class for reading and writing ImageRegion class records that have been stored into an AipsIO file.

Definition at line 65 of file AipsIOReaderWriter.h.

## Constructor & Destructor Documentation

## AipsIOReaderWriter()

casacore::AipsIOReaderWriter::AipsIOReaderWriter | ( |  | ) |

Constructor.

## ~AipsIOReaderWriter()

casacore::AipsIOReaderWriter::~AipsIOReaderWriter | ( |  | ) |

Destructor.

## Member Function Documentation

## read() [1/2]

bool casacore::AipsIOReaderWriter::read | ( | ImageRegion *& | region | ) |

## read() [2/2]

bool casacore::AipsIOReaderWriter::read | ( | Record & | region | ) |

virtual

RSFileReader methods //.

Implements RSFileReader::read.

Implements casacore::RFReader.

References casacore::Record().

## setOptions()

void casacore::AipsIOReaderWriter::setOptions | ( | const Record * | options | ) |

virtual

RSFileWriter methods //.

Implements RSFileWriter::setOptions.

Reimplemented from casacore::RFWriter.

References casacore::RFReader::options(), and casacore::Record().

## write() [1/2]

bool casacore::AipsIOReaderWriter::write | ( | const ImageRegion & | region | ) | const

## write() [2/2]

bool casacore::AipsIOReaderWriter::write | ( | const Record & | region | ) | const

virtual

Implements RSFileWriter::write.

Implements casacore::RFWriter.

References casacore::Record().

The documentation for this class was generated from the following file:

- images/Regions/AipsIOReaderWriter.h